%define version	2.7
%define name	aumix
%define prefix	%{_prefix}
%define release 13mdk

Name:		%{name}
Summary:	A GTK+/Ncurses audio mixer 
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
BuildRequires:	XFree86-devel gpm-devel ncurses-devel

Source0:	http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
Source1:	%{name}
Patch0:		aumix-2.7-devfs-compliant.patch.bz2
# Translations patches
Patch100:	aumix-2.7-configure4po.patch.bz2
Patch101:	aumix-2.7-de-po.patch.bz2
Patch102:	aumix-2.7-es-po.patch.bz2
Patch103:	aumix-2.7-fr-po.patch.bz2
Patch104:	aumix-2.7-gl-po.patch.bz2
Patch105:	aumix-2.7-nl-po.patch.bz2
Patch106:	aumix-2.7-pt_BR-po.patch.bz2
Patch107:	aumix-2.7-sv-po.patch.bz2
Patch108:	aumix-2.7-uk-po.patch.bz2
Patch109:	aumix-2.7-zh_CN-po.patch.bz2

Patch200:	aumix-2.7-save_load.patch.bz2
Patch201:	aumix-2.7-autoconf.patch.bz2
Patch202:	aumix-2.7-view.patch.bz2


URL: 		http://www.jpj.net/~trevor/aumix.html
Requires:	initscripts >= 4.42
BuildRoot:	%{_tmppath}/%{name}-%{version}-droot

%description
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface or a GTK-based X interface.

%prep
%setup -q
%patch0 -p1
# Update translations:
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1

%patch200 -p1
%patch201 -p1
%patch202 -p0

# (gc) move "xaumix" to "taumix"
perl -p -i -e 's|xaumix|taumix|g' doc/*aumix.1 doc/Makefile.am src/Makefile.am src/xaumix
mv doc/xaumix.1 doc/taumix.1
mv src/xaumix src/taumix

%build
%configure --with-alsa
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# menu entry
install -m 755 -d $RPM_BUILD_ROOT/%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_menudir}/*


%changelog
* Mon Apr 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-13mdk
- drop Fabian espanol translation [was Patch2]
- update brazilian, chinese, dutch, espanol, french, galician, german,
  slovenian, swedish and ukrainian translations
  [Patches 100 to 109]
- made sure that start/save routines are not executed twice [Patch200]
- fix for newer autoconf [Patch201] :
  Newer autoconf requires that arguments with internal whitespace be quoted, so
  we patch up configure here for when the makefiles run autoconf later.
- adds three new things that can be hidden (and later shown again) to the View
  menu in the GTK+ interface [Patch202] :
	- Menu, for the menu bar itself (it can be shown again by pressing the
	  hotkey)
	- Balance, for the balances
	- Numbers, to get rid of all those confusing numbers.


* Mon Mar 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-12mdk
- update spanish translation (Fabian Mandelbaum)

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 2.7-11mdk
- Fix menu entry (icon)

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-10mdk
- build release

* Tue Sep  4 2001 Pixel <pixel@mandrakesoft.com> 2.7-9mdk
- devfs compliant

* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-8mdk
- build release
- minor fixes

* Tue Nov 21 2000 Egil Moller <redhog@mandrakesoft.com> 2.7-7mdk
- Fixed the URL

* Tue Nov 21 2000 Egil Moller <redhog@mandrakesoft.com> 2.7-6mdk
- Added large-icon to make rpmlint happy

* Sat Sep 08 2000 David BAUDENS <baudens@mandrakesoft.com> 2.7-5mdk
- Fix menu entry

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.7-4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.7-3mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.7-2mdk
- rebuild for BM

* Fri Jul 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.7-1mdk
- 2.7
- menu macros

* Tue Jun 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1
- chmouelization of specfile
- now "xaumix" has been renamed to "taumix"

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-3mdk
- corrected menu entry, added 32x32 icon

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-2mdk
- remove aumix-minimal, chmouel doesn't need it anymore
- patch to provide a correct DATADIRNAME

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-1mdk
- 2.6
- nice, this new version fixes a small bug :-)

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.5-2mdk
- added URL
- added hand-drawn (oops..) icon

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.5-1mdk
- 2.5

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4-1mdk
- 2.4 with french translation :-)
- better without-gtk patch
- new groups
- menu entry

* Tue Mar 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2-1mdk
- 2.2
- patch to new sources to continue to support aumix-minimal

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-2mdk
- Remove dependences of gtk for aumix-minimal.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-1mdk
- Clean-up spec (thanks deb-helper).
- Reinsert aumix-minimal.
- 2.1.

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix xmix.

* Mon Nov 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.28.
- Correcting files list.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.27.
- --with-alsa.

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed ukrainian language code (it is 'uk' not 'ua')

* Wed Jun 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.18.2 to 1.22.1 
- removed obsolete patch for 1.18.2

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.2

* Mon Feb 22 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.1

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- update to 1.17

* Mon Feb  1 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 1.14

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.13

* Fri Aug 28 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.12

* Mon Aug 17 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.11

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.8

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url
- updated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 1.6.1.
